#
# spec file for package perl-Acme-Damn
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Acme-Damn
Version:        0.08
Release:        bp156.3.3
%define cpan_name Acme-Damn
Summary:        'Unbless' Perl objects
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Acme-Damn/
Source0:        http://www.cpan.org/authors/id/I/IB/IBB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Exception)
%{perl_requires}

%description
*Acme::Damn* provides a single routine, *damn()*, which takes a blessed
reference (a Perl object), and _unblesses_ it, to return the original
reference.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Dec  3 2016 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-Acme-Damn/Changes
  0.06  Sun Oct 26 20:50:12 2014
  - support for Perl >= v5.18
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.06
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Wed Aug 19 2009 tuukka.pasanen@ilmi.fi - 0.0.4-1
- packaged perl-Acme-Damn version 0.04 using the buildservice spec file wizard
